Bug 1317509 - Add support for 64-bit MIPS
Summary: Add support for 64-bit MIPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libatomic_ops
Version: rawhide
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-14 12:31 UTC by Michal Toman
Modified: 2016-04-02 15:55 UTC (History)
3 users (show)

Fixed In Version: libatomic_ops-7.4.2-9.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-02 15:55:43 UTC


Attachments (Terms of Use)
Add-support-for-64-bit-MIPS.patch (5.78 KB, patch)
2016-03-14 12:31 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-14 12:31:51 UTC
Created attachment 1136138 [details]
Add-support-for-64-bit-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding support for 64-bit MIPS to libatomic_ops.

Actual results:
64-bit MIPS uses 32-bit assembly, tests hang.

Expected results:
64-bit MIPS uses 64-bit assembly, tests pass.

Additional info:
Attaching dist-git patch. It would be great if this could also be applied to F24.

Comment 1 Rex Dieter 2016-03-14 12:34:26 UTC
Does upstream know about these needed fixes for mips-64?  If not, mind sending it to them?

Comment 2 Michal Toman 2016-03-14 12:47:37 UTC
This has been upstream for more than a year:

https://github.com/ivmai/libatomic_ops/commit/54d1da56809b892d2fc521fea0fd41ea8c23e4f2

Comment 3 Rex Dieter 2016-03-14 12:55:22 UTC
excellent, thanks.

Comment 4 Rex Dieter 2016-03-28 13:31:21 UTC
%changelog
* Mon Mar 28 2016 Rex Dieter <rdieter@fedoraproject.org> - 7.4.2-8
- pull in upstream (7.4 branch) fixes
- Add support for 64-bit MIPS (#1317509)
- use %%license

Comment 5 Fedora Update System 2016-03-28 14:03:10 UTC
libatomic_ops-7.4.2-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c84bec82f

Comment 6 Fedora Update System 2016-03-28 20:54:53 UTC
libatomic_ops-7.4.2-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c84bec82f

Comment 7 Fedora Update System 2016-04-02 15:55:36 UTC
libatomic_ops-7.4.2-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.